Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bot.module.th.estimation
Class Flop

    java.lang.Object
      bot.module.th.estimation.Flop

All Implemented Interfaces:
  IF_EstimationAtRound

    public class Flop

extends java.lang.Object
implements IF_EstimationAtRound

This class estimates the opponent at Flop - NOT IMPLEMENTED YET

Author:
  Witthold/Korol

Field Summary
`private int[]` | `actions` amount of int[0]: folds int[1]: checks, calls int[2]: raises int[3]: allIns

Constructor Summary
`Flop()`

Method Summary
`void` | `estimate()` estimate opponent at specific round
`void` | `fetchData(GetterDBProjector gDBP, int playerId, int competitionId, int lastEvaledHandId)` init estimation at specific round
`void` | `mergeIntoOverall()` merge estimation of round into overall estimation
`void` | `mergeIntoRound()` merge new analysed data of round into already analysed of this round

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actions

    private int[] actions

  amount of int[0]: folds
  int[1]: checks, calls
  int[2]: raises
  int[3]: allIns

Constructor Detail

### Flop

    public Flop()

Method Detail

### fetchData

    public void fetchData(GetterDBProjector gDBP,
                          int playerId,
                          int competitionId,
                          int lastEvaledHandId)

  Description copied from interface: `IF_EstimationAtRound`
  init estimation at specific round

  Specified by:
    `fetchData` in interface `IF_EstimationAtRound`
  Parameters:
    `gDBP` - - instance of GetterDBProjector - one instance per player and competition
    `playerId` - - already generated by db
    `competitionId` - - already generated by db
    `lastEvaledHandId` - - already generated by db

### estimate

    public void estimate()

  Description copied from interface: `IF_EstimationAtRound`
  estimate opponent at specific round

  Specified by:
    `estimate` in interface `IF_EstimationAtRound`

### mergeIntoRound

    public void mergeIntoRound()

  Description copied from interface: `IF_EstimationAtRound`
  merge new analysed data of round into already analysed of this round

  Specified by:
    `mergeIntoRound` in interface `IF_EstimationAtRound`

### mergeIntoOverall

    public void mergeIntoOverall()

  Description copied from interface: `IF_EstimationAtRound`
  merge estimation of round into overall estimation

  Specified by:
    `mergeIntoOverall` in interface `IF_EstimationAtRound`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD